Skip to main content
GET
/
contact
/
reverse
/
email
/
bulk
/
{enrichment_id}
Get Bulk Reverse Email Results
curl --request GET \
  --url https://app.fullenrich.com/api/v2/contact/reverse/email/bulk/{enrichment_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "2db5ea61-1752-42cf-8ea1-ab1da060cd0a",
  "name": "Reverse Email Lookup",
  "status": "FINISHED",
  "cost": {
    "credits": 1
  },
  "data": [
    {
      "input": {
        "email": "johnsnow@gmail.com"
      },
      "custom": {
        "user_id": "12584"
      },
      "profile": {
        "id": "746e4816-19c8-54d8-b558-65a5a52cc85c",
        "full_name": "John Snow",
        "first_name": "John",
        "last_name": "Snow",
        "location": {
          "country": "United States",
          "country_code": "US",
          "city": "San Francisco",
          "region": "California"
        },
        "social_profiles": {
          "linkedin": {
            "url": "https://www.linkedin.com/in/demoge/",
            "handle": "demoge",
            "connection_count": 500
          }
        },
        "educations": [
          {
            "school_name": "Stanford University",
            "degree": "Bachelor of Science in Computer Science",
            "start_at": "2015-09-01T00:00:00Z",
            "end_at": "2019-06-01T00:00:00Z"
          }
        ],
        "languages": [
          {
            "language": "English",
            "code": "EN",
            "proficiency": "Native or Bilingual"
          },
          {
            "language": "French",
            "code": "FR",
            "proficiency": "Professional Working"
          }
        ],
        "skills": [
          "Sales Operations",
          "Business Development",
          "CRM Management"
        ],
        "employment": {
          "current": {
            "title": "Head of Sales Operations",
            "is_current": true,
            "start_at": "2022-03-15T00:00:00Z",
            "company": {
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "name": "Example Inc",
              "domain": "example.com",
              "description": "Leading example company",
              "year_founded": 2010,
              "headcount": 250,
              "company_type": "Privately Held",
              "locations": {
                "headquarters": {
                  "city": "San Francisco",
                  "region": "California",
                  "country": "United States",
                  "country_code": "US"
                }
              },
              "industry": {
                "main_industry": "Software Development"
              },
              "social_profiles": {
                "linkedin": {
                  "url": "https://www.linkedin.com/company/example-inc",
                  "handle": "example-inc",
                  "follower_count": 12000
                }
              }
            }
          },
          "all": [
            {
              "title": "Head of Sales Operations",
              "is_current": true,
              "start_at": "2022-03-15T00:00:00Z",
              "company": {
                "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                "name": "Example Inc",
                "domain": "example.com",
                "description": "Leading example company",
                "year_founded": 2010,
                "headcount": 250,
                "company_type": "Privately Held",
                "locations": {
                  "headquarters": {
                    "city": "San Francisco",
                    "region": "California",
                    "country": "United States",
                    "country_code": "US"
                  }
                },
                "industry": {
                  "main_industry": "Software Development"
                },
                "social_profiles": {
                  "linkedin": {
                    "url": "https://www.linkedin.com/company/example-inc",
                    "handle": "example-inc",
                    "follower_count": 12000
                  }
                }
              }
            },
            {
              "title": "Sales Manager",
              "is_current": false,
              "start_at": "2019-07-01T00:00:00Z",
              "end_at": "2022-03-01T00:00:00Z",
              "company": {
                "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
                "name": "Previous Corp",
                "domain": "previouscorp.com",
                "description": "Enterprise software solutions",
                "year_founded": 2005,
                "headcount": 500,
                "company_type": "Privately Held",
                "locations": {
                  "headquarters": {
                    "city": "New York",
                    "region": "New York",
                    "country": "United States",
                    "country_code": "US"
                  }
                },
                "industry": {
                  "main_industry": "Software Development"
                },
                "social_profiles": {
                  "linkedin": {
                    "url": "https://www.linkedin.com/company/previous-corp",
                    "handle": "previous-corp",
                    "follower_count": 8000
                  }
                }
              }
            }
          ]
        }
      }
    }
  ]
}
Use this endpoint to retrieve the result from a reverse email lookup. You don’t need to use this endpoint if you are using a webhook. Using a webhook is the method we recommend to get the result as soon as the enrichment is done.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enrichment_id
string
required

The unique identifier returned when the reverse lookup was started

Response

OK

id
string<uuid>
Example:

"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"

name
string
Example:

"Start Reverse Email Lookup Operation"

status
enum<string>
Available options:
CREATED,
IN_PROGRESS,
CANCELED,
CREDITS_INSUFFICIENT,
FINISHED,
RATE_LIMIT,
UNKNOWN
Example:

"FINISHED"

data
object[]
cost
object